[PowerMac3,1] Blotchy GUI graphics for images

Bug #1541082 reported by Fritz Hudnut on 2016-02-02
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Medium
Unassigned

Bug Description

The background image and other image files are blotchy.

---
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: powerpc
BootLog:
 fsck from util-linux 2.27.1
 /dev/sda13: clean, 182266/1458176 files, 1099215/5826607 blocks
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
DistUpgraded: Fresh install
DistroCodename: xenial
DistroRelease: Ubuntu 16.04
DistroVariant: ubuntu
DpkgLog:

ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard: Advanced Micro Devices, Inc. [AMD/ATI] Rage 128 PRO AGP 4x TMDS [1002:5046] (prog-if 00 [VGA controller])
InstallationDate: Installed on 2016-01-31 (154 days ago)
InstallationMedia: Ubuntu-MATE 16.04 LTS "Xenial Xerus" - Alpha powerpc (20160123)
Lsusb:
 Bus 002 Device 004: ID 047d:1029 Kensington Mouse*in*a*Box Optical Elite
 Bus 002 Device 003: ID 05ac:0220 Apple, Inc. Aluminum Keyboard (ANSI)
 Bus 002 Device 002: ID 05ac:1006 Apple, Inc. Hub in Aluminum Keyboard
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Package: xorg 1:7.7+13ubuntu3
PackageArchitecture: powerpc
ProcEnviron:
 LANGUAGE=en_US
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: root=UUID=4eb514e5-48d7-4e99-a402-5294c80e78cc ro quiet splash
ProcVersionSignature: Ubuntu 4.4.0-24.43-powerpc-smp 4.4.10
Renderer: Software
Tags: xenial ubuntu
Uname: Linux 4.4.0-24-powerpc-smp ppc
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
version.compiz: compiz 1:0.9.12.2+16.04.20160526-0ubuntu1
version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1541082

tags: added: iso-testing
Martin Wimpress (flexiondotorg) wrote :

I can't reproduce this on my iBook G4.

Changed in ubuntu-mate:
status: New → Incomplete

@Martin:

If I recall, it didn't show up in my G4 iBook with Radeon card either.
This is PM 3,1 with ATI Rage 128 video card. I'm in MATE 16.04 right now
and the desktop image(s) continue to have the problem; and logging into
Yahoo Mail with the blank white space, it shows as concentric circles in
various shades of white, instead of clean single sheet of color.
When I posted this bugz I don't think apport was working, but, if that
would help I could try to flip that data up?
Also, a couple days ago I was able to burn the liveDVD of the Beta1 daily
in MATE, and maybe today I'll get a chance to boot the iBook and test it
out.

On Wed, Mar 2, 2016 at 4:35 PM, Martin Wimpress <email address hidden>
wrote:

> I can't reproduce this on my iBook G4.
>
> ** Changed in: ubuntu-mate
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
> Title:
> blotchy GUI graphics for images in 16.04 PPC
>
> Status in ubuntu-mate:
> Incomplete
>
> Bug description:
> Gents:
>
> Another issue I found on my recent install of U-MATE 16.04 PPC on my
> Powermac 3,1 . . . had some "kernel certificate" errors on booting the
> live DVD, which carried over to the install . . . and using various
> boot params actually caused the live session to fail. So, only using
> "live" gets me into a nice GUI display. Now in the install, it
> quickly moves passed the "kernel cert" error and a couple other
> errors, and display from ATI RAGE 128 card for text is very crisp, but
> the background image and other image files are blotchy and color
> changes are not rendered smoothly . . . ????
>
> I had this or a similar issue in a Lubuntu 14.04 live DVD on my iBook
> G4, text rendered perfectly, but images were blurry and rough . . . .
> Any thoughts for how this might be fixed?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-mate/+bug/1541082/+subscriptions
>

Fritz Hudnut (este-el-paz) wrote :

@Martin: The best way to describe it is that the stock MATE log in window
image looks like a topographic map . . . . Whereas text and other data
looks clean and crisp.

On Wed, Mar 2, 2016 at 4:35 PM, Martin Wimpress <email address hidden>
wrote:

> I can't reproduce this on my iBook G4.
>
> ** Changed in: ubuntu-mate
> Status: New => Incomplete
>
>

Fritz Hudnut (este-el-paz) wrote :

@Martin:

So, to test my iBook G4 I booted the MATE daily from "2016272" . . . (end
of Feb), and using "live" as boot params got me to a clean resolution
desktop, no blotchy graphics. Sound works OK. Cursor works OK . . . I
could launch "Time and Date" but I couldn't adjust the time, or drag the
window. I couldn't launch FF, that "crashed the GUI" for a minute, but
after that nothing worked. Could get drop down menu to drop, couldn't use
toolbar to reboot.

But, background image graphics were fine . . . in my radeon driver iBook.
Problem with graphics in my ATI PowerMac continues unabated.

On Wed, Mar 2, 2016 at 4:35 PM, Martin Wimpress <email address hidden>
wrote:

> I can't reproduce this on my iBook G4.
>
> ** Changed in: ubuntu-mate
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
> Title:
> blotchy GUI graphics for images in 16.04 PPC
>
> Status in ubuntu-mate:
> Incomplete
>
>

That is "could NOT get drop down menus to work, . . . "

no longer affects: ubuntu-mate

@Martin:

As I mentioned on the other bug report, the new xserver-xorg-video-ati has
not eliminated the issue of blotchy low spec background images, in my PM
3,1 the blotchiness of pictures continues; even though words and icons are
very crisp and clear, the backgrounds are not.

F

On Sun, Mar 20, 2016 at 5:03 PM, Martin Wimpress <<email address hidden>
> wrote:

> ** Also affects: xserver-xorg-video-ati (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** No longer affects: ubuntu-mate
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
>

Fritz Hudnut, thank you for reporting this and helping make Ubuntu better.

Could you please run the following command once from a terminal by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information:
apport-collect -p xorg 1541082

When reporting xorg related bugs in the future, please do so via the above method. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

affects: xserver-xorg-video-ati (Ubuntu) → xorg (Ubuntu)
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

apport information

tags: added: apport-collected ubuntu xenial
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

This data was repeated numerous times at the end of the running of the "sudo apport-collect -p xorg 1541082" Don't know if it showed up elsewhere, this is just one "paragraph."

Crash Annotation GraphicsCriticalError: |[0][GFX1]: Unknown image format 1 (t=19.9352) |[10606][GFX1]: Unknown image format 0 (t=985.206) |[10607][GFX1]: Unknown image format 0 (t=985.214) |[10608][GFX1]: Unknown image format 0 (t=985.217) |[10609][GFX1]: Unknown image format 0 (t=985.231) |[10610][GFX1]: Unknown image format 0 (t=985.243) |[10611][GFX1]: Unknown image content format 0 (t=985.261) |[10612][GFX1]: Unknown image format 1 (t=985.269) |[10613][GFX1]: Unknown image format 1 (t=985.269) |[10614][GFX1]: Unknown image format 0 (t=985.269) |[10615][GFX1]: Unknown image format 1 (t=985.27) |[10601][GFX1]: Unknown image content format 0 (t=985.078) |[10602][GFX1]: Unknown image format 1 (t=985.079) |[10603][GFX1]: Unknown image format 1 (t=985.085) |[10604][GFX1]: Unknown image format 0 (t=985.086) |[10605][GFX1]: Unknown image format 1 (t=985.087) [GFX1]: Unknown image format 1

Fritz Hudnut:
1) Could you please provide a camera shot or screenshot of the issue?
2) To see if this is already resolved, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xorg (Ubuntu):
importance: Low → Medium
Download full text (4.7 KiB)

CP:

Thanks for the reply . . . I can get you a camera shot, I'll have to get
back to that computer later today to do that . . . one display shared by
the PPC and a newer machine, and I'll post that photo.

The testing of the current image as a fresh download . . . a little time
consuming on my slow DSL line . . . that may or may not happen. I just ran
an update via apt-get a few days ago, and while running U-MATE this am the
desktop image is the same blotchy deal that it has been since I posted this
bug report.

It's easier to run an update/upgrade than it is to even zsync and make a
usb flash drive of the daily . . . . I ***could*** do that, but, it will
take some time, and, then, question is, has anything "changed" such that it
won't be a time flush? : - 0

On Mon, Jul 4, 2016 at 9:04 AM, Christopher M. Penalver <
<email address hidden>> wrote:

> Fritz Hudnut:
> 1) Could you please provide a camera shot or screenshot of the issue?
> 2) To see if this is already resolved, could you please test
> http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?
>
> ** Changed in: xorg (Ubuntu)
> Importance: Low => Medium
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
> Title:
> blotchy GUI graphics for images in 16.04 PPC
>
> Status in xorg package in Ubuntu:
> Incomplete
>
> Bug description:
> Gents:
>
> Another issue I found on my recent install of U-MATE 16.04 PPC on my
> Powermac 3,1 . . . had some "kernel certificate" errors on booting the
> live DVD, which carried over to the install . . . and using various
> boot params actually caused the live session to fail. So, only using
> "live" gets me into a nice GUI display. Now in the install, it
> quickly moves passed the "kernel cert" error and a couple other
> errors, and display from ATI RAGE 128 card for text is very crisp, but
> the background image and other image files are blotchy and color
> changes are not rendered smoothly . . . ????
>
> I had this or a similar issue in a Lubuntu 14.04 live DVD on my iBook
> G4, text rendered perfectly, but images were blurry and rough . . . . Any
> thoughts for how this might be fixed?
> ---
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: powerpc
> BootLog:
> fsck from util-linux 2.27.1
> /dev/sda13: clean, 182266/1458176 files, 1099215/5826607 blocks
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DistUpgraded: Fresh install
> DistroCodename: xenial
> DistroRelease: Ubuntu 16.04
> DistroVariant: ubuntu
> DpkgLog:
>
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard: Advanced Micro Devices, Inc. [AMD/ATI] Rage 128 PRO AGP 4x
> TMDS [1002:5046] (prog-if 00 [VGA controller])
> InstallationDate: Installed on 2016-01-31 (154 days ago)
> InstallationMedia: Ubuntu-MATE 16.04 LTS "Xenial Xerus" - Alpha powerpc
> (20160123)
> Lsusb:
> Bus 002 Device 004: ID 047d:1029 Kensington Mouse*in*a*Box Optical Elite
> Bus 002 Device 003: ID 05ac:0220 Apple, Inc. Aluminum Keyboard (ANSI)
> ...

Read more...

Fritz Hudnut (este-el-paz) wrote :

On Mon, Jul 4, 2016 at 9:04 AM, Christopher M. Penalver <
<email address hidden>> wrote:

> 2) To see if this is already resolved, could you please test
> http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?
>

@Christopher:

I ran an update/upgrade just a few minutes ago, and on reboot, no change.

I checked your link, and that is to 16.10 daily . . . for which, there is
no PPC friendly option. I'm in 16.04 PPC, after the dist-upgrade the
problem continues with blotchy graphics on desktop images for both MATE &
Xu DE's.

I'll check the 16.04 daily, if I can zsync it fairly fast I'll try it; if
not, when I get back to my newer machine I can get the screen photos I took
with my iPod uploaded here.

F

summary: - blotchy GUI graphics for images in 16.04 PPC
+ [PowerMac3,1] Blotchy GUI graphics for images
tags: added: yakkaty
tags: added: needs-picture

On Mon, Jul 4, 2016 at 12:16 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> ** Tags added: needs-picture

Here are two of a number of shots, I was trying to keep the file size
small, as the originals are approx 1.7 MBs . . . the Xu desktop photo #135
might be a little more clear as to the problem.

I checked the "daily's" and it looks like the MATE 16.04 daily is not
available, don't have time for a 1.7 GB download today . . . that's two
hours or more of dedicated download time to get 16.10 Yakkity. I did see
that 16.10 offers a PPC file, but for now I'm sticking with LTS.

Fritz Hudnut, I think your dist-upgrade to yakkety test is sufficient (i.e. no need to fresh install).

Despite this, I don't quite see what you mean. Could you please attach the image unedited? Launchpad can handle files that are MBs in size.

tags: removed: needs-picture
tags: added: yakkety
removed: yakkaty
description: updated
Fritz Hudnut (este-el-paz) wrote :

On Mon, Jul 4, 2016 at 2:16 PM, Fritz Hudnut <email address hidden> wrote:

> On Mon, Jul 4, 2016 at 1:56 PM, Christopher M. Penalver <
> <email address hidden>> wrote:
>
>> Fritz Hudnut, I think your dist-upgrade to yakkety test is sufficient
>> (i.e. no need to fresh install).
>>
>> Despite this, I don't quite see what you mean. Could you please attach
>> the image unedited? Launchpad can handle files that are MBs in size.
>>
>
>
> Cool. Reminder that my dist-upgrade is for Xenial PPC. Hopefully that is
> clear. I tried sending the full size images and it was errorred back as
> "too large." I'm trying this size, I think it should now be very clear.
> The problem can be seen as the "topographic map" looking graphics . . .
> rather than a smooth transition, blending of colors, the transitions show
> jaggy lines. Should be very clear in #135. The what looks like screendoor
> screen lines is an artifact from taking the picture of the screen . . . I'm
> talking about the jaggy lines along the color transitions.
>

Fritz Hudnut, my eyes must not be refined enough to see the problem.

Changed in xorg (Ubuntu):
status: Incomplete → New
Fritz Hudnut (este-el-paz) wrote :

On Mon, Jul 4, 2016 at 5:03 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Fritz Hudnut, my eyes must not be refined enough to see the problem.

It is very clear in the last photos, if you know what a topographic map
looks like? Do you know what I'm referring to when I say "topographic"??
If you look into the desktop image(s), rather than a blending transition,
as is the probable intention--the transitions are "stacked" like a
topographic map image of a mountain. And along with that the edges of the
different "elevations" are jaggedy lines . . . .

On the screen it is very blatant . . . the desktop images look like they
are formed by a low resolution graphics driver . . . whereas the icons and
text are rendered very well.

I think that is also clear in the #135 image. Look carefully and you can
see what I'm talking about in the photos. Up to you, just so you know that
it is still a problem, and it is not "subtle" or anything that could be
missed . . . .

F

Fritz Hudnut (este-el-paz) wrote :

@CP:

I took a screenshot, I think that should be pretty clear now.

F

On Mon, Jul 4, 2016 at 5:03 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Fritz Hudnut, my eyes must not be refined enough to see the problem.
>
> ** Changed in: xorg (Ubuntu)
> Status: Incomplete => New
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
> Title:
> [PowerMac3,1] Blotchy GUI graphics for images
>
> Status in xorg package in Ubuntu:
> New
>
> Bug description:
> The background image and other image files are blotchy.
>
> ---
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: powerpc
> BootLog:
> fsck from util-linux 2.27.1
> /dev/sda13: clean, 182266/1458176 files, 1099215/5826607 blocks
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DistUpgraded: Fresh install
> DistroCodename: xenial
> DistroRelease: Ubuntu 16.04
> DistroVariant: ubuntu
> DpkgLog:
>
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard: Advanced Micro Devices, Inc. [AMD/ATI] Rage 128 PRO AGP 4x
> TMDS [1002:5046] (prog-if 00 [VGA controller])
> InstallationDate: Installed on 2016-01-31 (154 days ago)
> InstallationMedia: Ubuntu-MATE 16.04 LTS "Xenial Xerus" - Alpha powerpc
> (20160123)
> Lsusb:
> Bus 002 Device 004: ID 047d:1029 Kensington Mouse*in*a*Box Optical Elite
> Bus 002 Device 003: ID 05ac:0220 Apple, Inc. Aluminum Keyboard (ANSI)
> Bus 002 Device 002: ID 05ac:1006 Apple, Inc. Hub in Aluminum Keyboard
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Package: xorg 1:7.7+13ubuntu3
> PackageArchitecture: powerpc
> ProcEnviron:
> LANGUAGE=en_US
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: root=UUID=4eb514e5-48d7-4e99-a402-5294c80e78cc ro
> quiet splash
> ProcVersionSignature: Ubuntu 4.4.0-24.43-powerpc-smp 4.4.10
> Renderer: Software
> Tags: xenial ubuntu
> Uname: Linux 4.4.0-24-powerpc-smp ppc
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> _MarkForUpload: True
> version.compiz: compiz 1:0.9.12.2+16.04.20160526-0ubuntu1
> version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.1
> version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
> version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
> version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
> version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.2
> version.xserver-xorg-input-evdev: xserver-xorg-input-evdev
> 1:2.10.1-1ubuntu2
> version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
> version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
> version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau
> 1:1.0.12-1build2
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1541082/+subscriptions
>

ernsteiswuerfel (erhard-f) wrote :

@Fritz:

From the XorgLog.txt you posted I gather that you are running the "ATI Rage 128 PRO AGP 4x" in a 15bpp screen mode, so no 24bpp true color, which causes your blotchy images:

[ 25.931] (EE) Screen 0 deleted because of no matching config section.
[ 25.931] (II) UnloadModule: "modesetting"
[ 25.931] (II) FBDEV(0): Creating default Display subsection in Screen section
 "Default Screen Section" for depth/fbbpp 15/16

Do you use some config-file in /etc/X11/xorg.conf.d/ or is this the default behauviour of the ATI Rage 128 PRO in your Power Mac 3,1?

Fritz Hudnut (este-el-paz) wrote :
Download full text (4.7 KiB)

@ernsteiswuerfel:

Thanks for the post. I believe that in the install of U-MATE on the 3,1
things ran so well that there is no xorg.conf. Most everything in he
display resolution is great, and it was only the background image that was
looking like the topo map.

Since the dev had gotten back to me to post the screen shot, and then,
nothing posted/commented back about it, I've come to the conclusion that it
is just the image file itself that is a low spec/low res image. Other
backgrounds, like the "cosmos" one that changes images, some of them are
perfect, and others have this low resolution issue.

If my overall display resolution was low resolution, which I have seen with
some older installs, then messing with the xorg.conf file would be worth my
time--here, most everything, words and so forth, most images, are all
crisp. From what you have posted from the Xorg log, possibly I am running
the fbdev driver, in the past I think I found another driver did a better
job with an nvidia card, but, overall I think the display is "fine."

It was just on the log in window, which is sort of like the "front door" or
"grand entrance" to the OS, and the background photo was low resolution . .
. didn't look good. Doesn't seem to be a concern for those who develop and
or select the photos.

F

On Sun, Jul 24, 2016 at 6:57 PM, ernsteiswuerfel <email address hidden>
wrote:

> @Fritz:
>
> >From the XorgLog.txt you posted I gather that you are running the "ATI
> Rage 128 PRO AGP 4x" in a 15bpp screen mode, so no 24bpp true color,
> which causes your blotchy images:
>
> [ 25.931] (EE) Screen 0 deleted because of no matching config section.
> [ 25.931] (II) UnloadModule: "modesetting"
> [ 25.931] (II) FBDEV(0): Creating default Display subsection in Screen
> section
> "Default Screen Section" for depth/fbbpp 15/16
>
> Do you use some config-file in /etc/X11/xorg.conf.d/ or is this the
> default behauviour of the ATI Rage 128 PRO in your Power Mac 3,1?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
> Title:
> [PowerMac3,1] Blotchy GUI graphics for images
>
> Status in xorg package in Ubuntu:
> New
>
> Bug description:
> The background image and other image files are blotchy.
>
> ---
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: powerpc
> BootLog:
> fsck from util-linux 2.27.1
> /dev/sda13: clean, 182266/1458176 files, 1099215/5826607 blocks
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DistUpgraded: Fresh install
> DistroCodename: xenial
> DistroRelease: Ubuntu 16.04
> DistroVariant: ubuntu
> DpkgLog:
>
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard: Advanced Micro Devices, Inc. [AMD/ATI] Rage 128 PRO AGP 4x
> TMDS [1002:5046] (prog-if 00 [VGA controller])
> InstallationDate: Installed on 2016-01-31 (154 days ago)
> InstallationMedia: Ubuntu-MATE 16.04 LTS "Xenial Xerus" - Alpha powerpc
> (20160123)
> Lsusb:
> Bus 002 Device 004: ID 047d:1029 Kensington Mouse*in*a*Box Optical Elite
> Bus 002 Device 003: ID 05a...

Read more...

ernsteiswuerfel (erhard-f) wrote :

Had a closer look at your Xorg.log:

[ 25.862] (II) LoadModule: "r128"
[ 25.863] (WW) Warning, couldn't open module r128
[ 25.863] (II) UnloadModule: "r128"
[ 25.863] (II) Unloading r128
[ 25.896] (EE) Failed to load module "r128" (module does not exist, 0)
[ 25.896] (II) LoadModule: "modesetting"

xorg tries to load the appropriate driver for your ATI Rage, wich is "r128". Since this driver is not found, it uses the generic "modesetting" driver, which in turn resorts to a 15bpp framebuffer.

Just found out that the needed xserver-xorg-video-r128 package is no longer installed by default in Yakkety. Maybe this is also the case in Xenial. So the easy solution for you would be to "sudo apt-get install xserver-xorg-video-r128" and reboot. Maybe you get an accelerated 24bpp desktop again without needing a supplementary xorg.conf!

>Since the dev had gotten back to me to post the screen shot, and then,
>nothing posted/commented back about it, I've come to the conclusion that it
>is just the image file itself that is a low spec/low res image. Other
>backgrounds, like the "cosmos" one that changes images, some of them are
>perfect, and others have this low resolution issue.

Nope it is the other way round. The background image is 24bpp but the display driver has to show it on an 15/16bpp screen - it needs to reduce the colours somehow which makes the image appear blotchy. Icons don't have that many gradients which leaves them looking crisp on 15/16bpp.

Fritz Hudnut (este-el-paz) wrote :
Download full text (5.0 KiB)

@ernst:

Many, many thanks for the details . . . I can see numerous "errors" showing
up as the OS loads, including something about the "r128" "failing," I think
we've discussed some of these things before . . . but, since for the most
part "things were working" I didn't mess with it.

But, indeed, very easy to test out your suggestion for the r128 module . .
. and then see what happens. I did check the "Display" stats in the
Control Center and it seemed like things were showing "OK" . . . but,
didn't do any "lsmod" checks, etc.

Might be able to get to that tomorrow . . . I'll post back if and when I do
. . . . Again, appreciate the time you spent on this . . . .

F

On Mon, Jul 25, 2016 at 11:43 AM, ernsteiswuerfel <email address hidden>
wrote:

> Had a closer look at your Xorg.log:
>
> [ 25.862] (II) LoadModule: "r128"
> [ 25.863] (WW) Warning, couldn't open module r128
> [ 25.863] (II) UnloadModule: "r128"
> [ 25.863] (II) Unloading r128
> [ 25.896] (EE) Failed to load module "r128" (module does not exist, 0)
> [ 25.896] (II) LoadModule: "modesetting"
>
> xorg tries to load the appropriate driver for your ATI Rage, wich is
> "r128". Since this driver is not found, it uses the generic
> "modesetting" driver, which in turn resorts to a 15bpp framebuffer.
>
> Just found out that the needed xserver-xorg-video-r128 package is no
> longer installed by default in Yakkety. Maybe this is also the case in
> Xenial. So the easy solution for you would be to "sudo apt-get install
> xserver-xorg-video-r128" and reboot. Maybe you get an accelerated 24bpp
> desktop again without needing a supplementary xorg.conf!
>
> >Since the dev had gotten back to me to post the screen shot, and then,
> >nothing posted/commented back about it, I've come to the conclusion that
> it
> >is just the image file itself that is a low spec/low res image. Other
> >backgrounds, like the "cosmos" one that changes images, some of them are
> >perfect, and others have this low resolution issue.
>
> Nope it is the other way round. The background image is 24bpp but the
> display driver has to show it on an 15/16bpp screen - it needs to reduce
> the colours somehow which makes the image appear blotchy. Icons don't
> have that many gradients which leaves them looking crisp on 15/16bpp.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1541082
>
> Title:
> [PowerMac3,1] Blotchy GUI graphics for images
>
> Status in xorg package in Ubuntu:
> New
>
> Bug description:
> The background image and other image files are blotchy.
>
> ---
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: powerpc
> BootLog:
> fsck from util-linux 2.27.1
> /dev/sda13: clean, 182266/1458176 files, 1099215/5826607 blocks
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DistUpgraded: Fresh install
> DistroCodename: xenial
> DistroRelease: Ubuntu 16.04
> DistroVariant: ubuntu
> DpkgLog:
>
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard: Advanced Micro Devices, Inc. [AMD/ATI] Rage 128 PRO AGP 4x
> T...

Read more...

Fritz Hudnut (este-el-paz) wrote :

>
> Just found out that the needed xserver-xorg-video-r128 package is no
> longer installed by default in Yakkety. Maybe this is also the case in
> Xenial. So the easy solution for you would be to "sudo apt-get install
> xserver-xorg-video-r128" and reboot. Maybe you get an accelerated 24bpp
> desktop again without needing a supplementary xorg.conf!
>
>
@ernst:

So I ran that suggestion, and rebooted . . . and depending on how you look
at it, it either "solved" the "blotchy graphics" problem . . . or it didn't
. . . as the display came back to an "energized" display of blackness. I
can see that the display is "getting connected" . . . but, showing as
lighter in the corners, but overall . . . black. So, indeed the blotchy
graphics are no longer a problem . . . . : - )

On reboot the "TTY" logging info shows up, and I recall that back when we
both started talking about this "slow booting" problem, that then, as now
there is the line "aty128fb invalid ROM contents" . . . and I remember
tryiing to find "aty128" in synaptic and or running that in the terminal .
. . and nothing showed up.

Anyway, today that data shows up, all the stuff prior to the log in splash
can be seen, but the log in splash is "black" . . . one difference is that
previously it took a number of windows showing these "errors" to get to the
splash . . . today it got to the black much faster.

From a TTY I ran sudo update/upgrade . . . and I ran "sudo apt-get -f
install" and it just showed the previous kernel to be "removed." I shut
the machine down and cold booted a couple times . . . then I ran "lsmod"
and, it was off the side of the screen, but I didn't see any "r128" or
anything listed for "video" . . . whereas there was a bunch of modules for
"snd" . . . .

I was going to give up but, for humor I checked the xorg.conf file, which
was as I thought, empty. I then tried to run "sudo Xorg-configure" from
the TTY and it brought back a "fatal server error" E) Server is already
active for display 0. If this server is no longer running, remove
/tmp/.XO-lock (or is that /tmp/.X0???) and start again . . . . [This step
is beyond my knowledge or experience, so I didn't try that out.]

Possibly that is referring to the fact that the display seems to be
"energized" with black light, but it isn't showing the blotchy graphics or
anything else for that matter . . . . Obviously I could "rm" r128, but, if
there are any other suggestions to try, I'll give it a shot. I'm not quite
understanding why there was a "fatal error" on the "Xorg -configure"
gambit, I've done that a few times, from the TTY . . . and then "moved" it
or "cp" it into the etc/X11 or whatever, file . . . but this time it didn't
let me do that, for then possibly editing the "r128" module into it, etc.

Any ideas?

F

Fritz Hudnut (este-el-paz) wrote :

@ernst:

I saw one of my problems, on the Xorg configure I didn't run "sudo service
lightdm stop" first . . . maybe I'll try that later or tomorrow . . . still
wondering why "r128" didn't show up in "lsmod" . . . .

F

ernsteiswuerfel (erhard-f) wrote :

Check your boot messages with "journalctl -k" and your /var/log/Xorg.0.log then you will get a hint what went wrong with r128.

On current Ubuntu versions there is no need for an xorg.conf, only if you need to tune some specific parameters. No fiddling around with "sudo Xorg-configure" needed.

Fritz Hudnut (este-el-paz) wrote :

On Tue, Jul 26, 2016 at 5:40 PM, ernsteiswuerfel <email address hidden>
wrote:

> Check your boot messages with "journalctl -k" and your
> /var/log/Xorg.0.log then you will get a hint what went wrong with r128.
>
> On current Ubuntu versions there is no need for an xorg.conf, only if
> you need to tune some specific parameters. No fiddling around with "sudo
> Xorg-configure" needed.
>
>
OK, the journalctl -k just showed the "Invalid ROM contents" lines in red
font. But, the /var/log showed "loading" of r128 and then fbdevbw and
then "unloading" them and then EE-"screens found, but none have usable
configuration" and then "Fatal error no screens found."

I again tried "sudo service lightdm start" . . . and then when that just
brought the same blackish screen I tried "stop" and then "start" . . . is
it handled by "lightdm" or "gdm" or something else?

I'm back in OSX 10.5 to type this email out on the PM.

ernsteiswuerfel (erhard-f) wrote :

"r128" is the appropriate driver for your card but obiously does not work properly on your hardware. It would be a good idea to let the upstream devs know that. xorg/driver/xf86-video-r128 is actively maintained and still receives patches (last one 8 days ago). You could file a bug against upstream: https://bugs.freedesktop.org/buglist.cgi?quicksearch=r128 Just be sure to have a complete Xorg.log ready to post this bug upstream and state that it happens on an Apple PowerMac 3,1.

The "Invalid ROM contents"-line does not matter very much, it seems pretty standard on PPC-Apple. My Powerbooks are working fine also though this error shows up.

In the meantime you could try to get one of the other drivers "modesetting", "fbdev", "fbdevhw" to work with 24 bit depth. You can use my xorg.conf as starting point and edit it manually. Just put it in /etc/X11.

Fritz Hudnut (este-el-paz) wrote :

On Wed, Jul 27, 2016 at 4:19 PM, ernsteiswuerfel <email address hidden>
wrote:

> In the meantime you could try to get one of the other drivers
> "modesetting", "fbdev", "fbdevhw" to work with 24 bit depth. You can use
> my xorg.conf as starting point and edit it manually. Just put it in
> /etc/X11.
>

@ernst:

Thanks for the info and the advice . . . yes, clearly the r128 module isn't
working very well . . . . I was leaving it to see if there was any other
troubleshooting to try out. I'll have to look over filing a bug report and
then getting the Xorg.log out to them; I've done that a few times over the
years, but, then so much time passes that it isn't as "clear" as it was.

But, I took a look at your basic xorg.conf . . . I was earlier wondering
that if I ran the "Xorg -configure" gambit, and see which video driver it
would "pick up" . . . ??? I think it would look similar to your file????
I have done the xorg.conf thing quite a number of times, using another one
and editing it, etc . . . but, in some ways the -configure gambit is
"easier"???

I guess the question is, if before the r128 install I wasn't using an
xorg.conf file, do I need one now? Or, I would have to do a fresh install
to get back to "the way it was" and now, no choice but the use one?
Looking over the log it was looking like it was or is using "24 bit depth"
. . . but, now, "can't find a screen"???

F

Fritz Hudnut (este-el-paz) wrote :

On Wed, Jul 27, 2016 at 4:19 PM, ernsteiswuerfel <email address hidden>
wrote:

> In the meantime you could try to get one of the other drivers
>> "modesetting", "fbdev", "fbdevhw" to work with 24 bit depth. You can use
>> my xorg.conf as starting point and edit it manually. Just put it in
>> /etc/X11.
>>
>
> So, I tried the -configure and that failed. Then I wrote the xorg.conf
> out as per your suggestion using "modesetting" . . . didn't seem to work;
> changed it to "fbdevhw" didn't seem to work. Trying to "rm r128" and said
> "File not found."
>

My xorg.conf file, see anything wrong with it?? Still booting to black
screen--here I'm in "live" DVD and I copied the xorg.conf file:

Section "Device"
          Identifier "Card0"
          Driver "fbdevhw"
EndSection

Section "Monitor"
          Identifier "Monitor0"
EndSection

Section "Screen"

          Identifier "Screen0"
          Device "Card0"
          Monitor "Monitor0"
          DefaultDepth 24
          SubSection "Display"
                 Viewport 0 0
                 Depth 24
                 Modes "1024 x 768"
          EndSubSection
EndSection

Fritz Hudnut (este-el-paz) wrote :

On Wed, Jul 27, 2016 at 4:19 PM, ernsteiswuerfel <email address hidden>
wrote:

> It would be a good idea to let the
> upstream devs know that. xorg/driver/xf86-video-r128 is actively
> maintained and still receives patches (last one 8 days ago). You could
> file a bug against upstream:
> https://bugs.freedesktop.org/buglist.cgi?quicksearch=r128 Just be sure
> to have a complete Xorg.log ready to post this bug upstream and state
> that it happens on an Apple PowerMac 3,1.
>

I added my comments/issues to this bugzilla bug:

94916 - X doesn't start with r128 driver (ATI RAGE) [powerpc]
https://bugs.freedesktop.org/show_bug.cgi?id=94916

no longer affects: xorg-server
no longer affects: debian
ernsteiswuerfel (erhard-f) wrote :

Added the upstream bug to this tracker. Then I realized that strictly speaking this bug "X doesn't start with r128 driver (ATI RAGE) [powerpc]" has a different meaning from this one here "blotchy graphics". I think it's best to create a new Ubuntu Xorg bug and add the upstream info there.

Sorry for the noise!

@Fritz:

Your xorg.conf looks fine. After altering parameters check your Xorg.log after you restarted X, to look what exactly went wrong with the driver you selected xorg.conf. Just use the different drivers "modesetting", "fbdev", "fbdevhw" with different bit depths and see what happens.
If your monitor is capacle also always use the native resolution of your monitor. The Rage 128 is able to do 1920x1080 if you got the most recent PM 3,1 (http://identimac.com/modelDetails/Power%20Macintosh%20G4/23.html)

ernsteiswuerfel (erhard-f) wrote :

For the sake of correctness I added a new bug: https://bugs.launchpad.net/xorg-server/+bug/1607891

If you like just add the relevant data with "apport-collect" to this bug after "r128" failed.

Fritz Hudnut (este-el-paz) wrote :

On Fri, Jul 29, 2016 at 10:24 AM, ernsteiswuerfel <email address hidden>
wrote:

> Added the upstream bug to this tracker. Then I realized that strictly
> speaking this bug "X doesn't start with r128 driver (ATI RAGE)
> [powerpc]" has a different meaning from this one here "blotchy
> graphics". I think it's best to create a new Ubuntu Xorg bug and add the
> upstream info there.
>
> Sorry for the noise!
>
> @Fritz:
>
> Your xorg.conf looks fine. After altering parameters check your Xorg.log
> after you restarted X, to look what exactly went wrong with the driver you
> selected xorg.conf. Just use the different drivers "modesetting", "fbdev",
> "fbdevhw" with different bit depths and see what happens.
> If your monitor is capacle also always use the native resolution of your
> monitor. The Rage 128 is able to do 1920x1080 if you got the most recent PM
> 3,1 (http://identimac.com/modelDetails/Power%20Macintosh%20G4/23.html)
>

Yes, I'm also sorry for the "noise," but I decided to include it here as
well to show the personal efforts being expended to work on this problem .
. . and the resultant, "now it's not blotchy, now it is a blackish screen
with no images . . . that is happening, etc.

@ernsteiswuerfel:

OK, glad to hear that, yes, I thought it looked "OK" as well, but, it made
no difference in display showing up, or even trying to show up. Although
when I booted the live DVD session it took literally 3 or 4 minutes for the
cursor to appear and then the desktop; and perhaps I haven't been letting
it take that long with these recent efforts?? It's all become a tad bit
"odd" . . . in that trying the --configure gambit was returned as "failed"
. . . and looking through "lsmod" shows none of the usual suspects as far
as video drivers goes . . . and I did "autoclean" trying to remove "r128"
to see if that would let the xorg.conf get busy . . . and r128 didn't show
up in that list, so I did "sudo rm x-x-v-r128" (spelled out) and then it
said "no such file or directory" . . . .

And, multiple reboots and so forth, makes for a lot of time . . . .
Anyway, as it is now, the graphics are not "blotchy" . . . they are "gone"
so I don't know how I can support a "new" Bugzilla r128 bug with "evidence"
because . . . now the screen is black, etc . . . and there is an xorg.conf
file whereas before there wasn't, etc.

I did look over the Xorg.log a couple times . . . nothing of any apparent
relevance showed up, but then this area is an area of weakness . . . I have
the "dual-boot" install process down, and years back I spent endless hours
trying to get 12.04 to run the display on my old iMac 800 . . . now I'm
generally finding that it is easier to do a fresh install than to mess
around with the console on the tiny details . . . .

But, I was thinking this morning I have some notes about the display
"modes" where I have used something like "1024 x 768@60-32" . . . something
like that, and ***that*** did make a difference on my iBook to get the
display to work properly . . . possibly that is worth trying out . . . .
I'll post back on the "progress" . . . when I get there.

F

Fritz Hudnut (este-el-paz) wrote :

On Fri, Jul 29, 2016 at 11:20 AM, Fritz Hudnut <email address hidden>
wrote:

> But, I was thinking this morning I have some notes about the display
> "modes" where I have used something like "1024 x 768@60-32" . . .
> something like that, and ***that*** did make a difference on my iBook to
> get the display to work properly . . . possibly that is worth trying out .
> . . . I'll post back on the "progress" . . . when I get there.

Good news, after trying three or four different variations, the GUI is back
using "fbdev" and I also changed the mode to "1920 x 1200" . . . and the
log in splash image is "smoother" than it was before, "blotchy" but not as
"blotchy" as it was before the xorg.conf file.

Only caveat is there was a "crash report" generated relating to
"xorg-server" or something like that. I "reported" it. There was an
obvious "glitch" in the mouse cursor movement when I logged in which I've
come to understand indicates a "crash."

I'm typing this in the MATE 16 GUI; we'll see how it goes on reboot.
Sending the apport-collect data to the new bug r128 related.

F

ernsteiswuerfel (erhard-f) wrote :

Glad to hear you finally got it working, somehow. ;-)

Fritz Hudnut (este-el-paz) wrote :

On Sat, Jul 30, 2016 at 5:04 AM, ernsteiswuerfel <email address hidden>
wrote:

> Glad to hear you finally got it working, somehow. ;-)

Me too . . . must have been some "divine intervention" . . . as I was about
to give up on it for the day. I believe it was the choice for "fbdev"
driver that is the workhorse driver these days . . . it's fine, odd that I
recall seeing "fbdevhw" listed in one of the logs previously but that
didn't work in the xorg.conf file.

Possibly changing the display mode is what "smoothed" out many of the
topo-like blotches. Later today I'll reboot that computer and see how
things go; like does it generate a crash report each time it gets booted,
etc . . . or it got it figured out and now it will be "fine"????? Did the
"blotches" come back or stayed smoother, really give it a test run . . . .
Thanks for your support on this one. : - )

F

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
tags: removed: yakkety
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.